aiengine: xaietile_plif.h File Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

xaietile_plif.h File Reference

## Overview

Header file for PL interface configuration functions.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0  Naresh  03/14/2018  Initial creation
    1.1  Naresh  07/11/2018  Updated copyright info
    1.2  Nishad  12/05/2018  Renamed ME attributes to AIE
    1.3  Jubaer  03/07/2019  Add pl if downsizer disable API

void | XAieTile_PlIntfStrmWidCfg (XAieGbl_Tile *TileInstPtr, u8 MeToPl, u8 StreamId, u8 Width)
| This API is used to configure the width of the selected stream in the upsizer or downsizer. More...
void | XAieTile_PlIntfDownszrEnable (XAieGbl_Tile *TileInstPtr, u8 StreamId)
| This API is used to enable the selected stream in the PL2ME interface. More...
void | XAieTile_PlIntfDownszrDisable (XAieGbl_Tile *TileInstPtr, u8 StreamId)
| This API is used to disable the selected stream in the PL2ME interface. More...
void | XAieTile_PlIntfDownszrSetBypass (XAieGbl_Tile *TileInstPtr, u8 StreamId, u8 Enable)
| This API sets the bypass of the selected stream in the PL2ME interface. More...

## Function Documentation

void XAieTile_PlIntfDownszrDisable | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | StreamId
| ) |  |

This API is used to disable the selected stream in the PL2ME interface.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  StreamId | - Stream index value, ranging from 0-7.

Returns
  None.

Note
  None.

References XAieGbl_RegPlDwszEn::En, XAieGbl_RegFldAttr::Lsb, XAieGbl_RegFldAttr::Mask, XAieGbl_RegPlDwszEn::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

void XAieTile_PlIntfDownszrEnable | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | StreamId
| ) |  |

This API is used to enable the selected stream in the PL2ME interface.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  StreamId | - Stream index value, ranging from 0-7.

Returns
  None.

Note
  None.

References XAieGbl_RegPlDwszEn::En, XAieGbl_RegFldAttr::Lsb, XAieGbl_RegFldAttr::Mask, XAieGbl_RegPlDwszEn::RegOff, and XAieGbl_Tile::TileAddr.

Referenced by main().

void XAieTile_PlIntfDownszrSetBypass | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | StreamId,
|  | u8 | Enable
| ) |  |

This API sets the bypass of the selected stream in the PL2ME interface.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  StreamId | - Stream index value, one from 0, 1, 2, 4, 5, or 6.
  Enable | - 0 for disable and 1 for enable

Returns
  None.

Note
  None.

References XAieGbl_RegPlDwszBypass::Bypass, XAieGbl_RegFldAttr::Lsb, XAieGbl_RegFldAttr::Mask, XAieGbl_RegPlDwszBypass::RegOff, and XAieGbl_Tile::TileAddr.

void XAieTile_PlIntfStrmWidCfg | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Pl2Me,
|  | u8 | StreamId,
|  | u8 | Width
| ) |  |

This API is used to configure the width of the selected stream in the upsizer or downsizer.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Pl2Me | - PLTOME or METOPL streams (1-PLTOME,0-ME2PL).
  StreamId | - Stream index value, ranging from 0-5 for METOPL and 0-7 for PLTOME
  Width | - Supported widths are 32, 64 and 128.

Returns
  None.

Note
  None.

References XAieGbl_RegPlDwszEn::En, XAieGbl_RegFldAttr::Lsb, XAieGbl_RegFldAttr::Mask, XAieGbl_RegPlUpsz::RegOff, XAieGbl_RegPlDwsz::RegOff, XAieGbl_RegPlDwszEn::RegOff, XAieGbl_Tile::TileAddr, XAieGbl_RegPlUpsz::Wid128, XAieGbl_RegPlDwsz::Wid128, XAieGbl_RegPlUpsz::Wid3264, and XAieGbl_RegPlDwsz::Wid3264.

Referenced by main().